at.chipkarte.client.aum.soap

## Class SuchparameterSvPerson

- Object
- - at.chipkarte.client.aum.soap.SuchparameterSvPerson

-     public class SuchparameterSvPerson
      extends Object

  Ermöglicht das Filtern der Meldungen, die von `IAumService.meldungenFuerSvPersonSuchen(String, String, SuchparameterSvPerson)` zurückgegeben werden.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuchparameterSvPerson()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErstellungAb()` Nur Meldungen, die nach oder an diesem Datum ausgestellt wurden, werden zurückgegeben (optional).
    `String` | `getErstellungBis()` Nur Meldungen, die vor oder an diesem Datum ausgestellt wurden, werden zurückgegeben (optional).
    `String` | `getMeldungsart()` Meldungsart nach der gesucht wird.
    `String` | `getSvNummer()` SV-Nummer des Patienten.
    `void` | `setErstellungAb(String erstellungAb)`
    `void` | `setErstellungBis(String erstellungBis)`
    `void` | `setMeldungsart(String meldungsart)`
    `void` | `setSvNummer(String svNummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuchparameterSvPerson

          public SuchparameterSvPerson()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      SV-Nummer des Patienten.
      Format: 10-stellig
      Returns:
        Suchkriterium SV-Nummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getErstellungBis

          public String getErstellungBis()

      Nur Meldungen, die vor oder an diesem Datum ausgestellt wurden, werden zurückgegeben (optional).
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Zeitraum bis zu dem gesucht werden soll

    - #### setErstellungBis

          public void setErstellungBis(String erstellungBis)

    - #### getErstellungAb

          public String getErstellungAb()

      Nur Meldungen, die nach oder an diesem Datum ausgestellt wurden, werden zurückgegeben (optional).
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Zeitraum ab dem gesucht werden soll

    - #### setErstellungAb

          public void setErstellungAb(String erstellungAb)

    - #### getMeldungsart

          public String getMeldungsart()

      Meldungsart nach der gesucht wird.
      Format: 2-stellig
      Mögliche Werte: `SuchMeldungsart`.
      Returns:
        Suchkriterium Meldungsart

    - #### setMeldungsart

          public void setMeldungsart(String meldungsart)